.\"	$NetBSD: head.1,v 1.11 2004/05/04 10:57:42 mrg Exp $
.\"
.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)head.1	8.1 (Berkeley) 6/6/93
.\"
.Dd May 4, 2004
.Dt HEAD 1
.Os
.Sh NAME
.Nm head
.Nd display first lines of a file
.Sh SYNOPSIS
.Nm
.Op Fl qv
.Op Fl n Ar count
.Op Fl c Ar byte_count
.Op Ar file ...
.Sh DESCRIPTION
This filter displays the first
.Ar count
lines of each of the specified files, or of the standard input if no
files are specified.
If
.Ar count
is omitted it defaults to 10.
If
.Fl c Ar byte_count
is specified,
.Nm
counts bytes instead of lines.
.Pp
If more than a single file is specified, or the
.Fl v
option is used, each file is preceded by a header consisting of the string
.Dq ==\*[Gt] XXX \*[Le]=
where
.Dq XXX
is the name of the file.
The
.Fl q
flag disables the printing of the header in all cases.
.Pp
The
.Nm
utility exits 0 on success, and \*[Gt]0 if an error occurs.
.Sh COMPATIBILITY
The historic command line syntax of
.Nm
is supported by this implementation.
.Pp
This command is mostly compatible with GNU extensions to
.Nm .
.Sh SEE ALSO
.Xr tail 1
.Sh STANDARDS
The
.Nm
utility conforms to
.St -p1003.2-92 .
.Sh HISTORY
The
.Nm
utility appeared in
.Bx 3.0 .
It was enhanced to include the
.Fl c ,
.Fl q ,
and
.Fl v
options for
.Nx 2.1 .
